VULKAN_HPP_NAMESPACE::VertexInputAttributeDescription Struct Reference

`#include <vulkan.hpp>`

## Public Member Functions

| VertexInputAttributeDescription (uint32_t location_=0, uint32_t binding_=0, Format format_=Format::eUndefined, uint32_t offset_=0)
| VertexInputAttributeDescription (VkVertexInputAttributeDescription const &rhs)
VertexInputAttributeDescription & | operator= (VkVertexInputAttributeDescription const &rhs)
VertexInputAttributeDescription & | setLocation (uint32_t location_)
VertexInputAttributeDescription & | setBinding (uint32_t binding_)
VertexInputAttributeDescription & | setFormat (Format format_)
VertexInputAttributeDescription & | setOffset (uint32_t offset_)
| operator VkVertexInputAttributeDescription const & () const
| operator VkVertexInputAttributeDescription & ()
bool | operator== (VertexInputAttributeDescription const &rhs) const
bool | operator!= (VertexInputAttributeDescription const &rhs) const

## Data Fields

uint32_t | location
uint32_t | binding
Format | format
uint32_t | offset

## Detailed Description

Definition at line 9062 of file vulkan.hpp.

## Constructor & Destructor Documentation

## VertexInputAttributeDescription() [1/2]

VULKAN_HPP_NAMESPACE::VertexInputAttributeDescription::VertexInputAttributeDescription | ( | uint32_t | location_ = `0`,
|  | uint32_t | binding_ = `0`,
|  | Format | format_ = `Format::eUndefined`,
|  | uint32_t | offset_ = `0`
| ) |  |

inline

Definition at line 9064 of file vulkan.hpp.

: location( location_ )
, binding( binding_ )
, format( format_ )
, offset( offset_ )
{
}

## VertexInputAttributeDescription() [2/2]

VULKAN_HPP_NAMESPACE::VertexInputAttributeDescription::VertexInputAttributeDescription | ( | VkVertexInputAttributeDescription const & | rhs | ) |

inline

Definition at line 9075 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( VertexInputAttributeDescription ) );
}

References memcpy.

## Member Function Documentation

## operator VkVertexInputAttributeDescription &()

VULKAN_HPP_NAMESPACE::VertexInputAttributeDescription::operator VkVertexInputAttributeDescription & | ( |  | ) |

inline

Definition at line 9114 of file vulkan.hpp.

{
return *reinterpret_cast<VkVertexInputAttributeDescription*>(this);
}

## operator VkVertexInputAttributeDescription const &()

VULKAN_HPP_NAMESPACE::VertexInputAttributeDescription::operator VkVertexInputAttributeDescription const & | ( |  | ) | const

inline

Definition at line 9109 of file vulkan.hpp.

{
return *reinterpret_cast<const VkVertexInputAttributeDescription*>(this);
}

## operator!=()

bool VULKAN_HPP_NAMESPACE::VertexInputAttributeDescription::operator!= | ( | VertexInputAttributeDescription const & | rhs | ) | const

inline

Definition at line 9127 of file vulkan.hpp.

{
return !operator==( rhs );
}

References operator==().

## operator=()

VertexInputAttributeDescription& VULKAN_HPP_NAMESPACE::VertexInputAttributeDescription::operator= | ( | VkVertexInputAttributeDescription const & | rhs | ) |

inline

Definition at line 9080 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( VertexInputAttributeDescription ) );
return *this;
}

References memcpy.

## operator==()

bool VULKAN_HPP_NAMESPACE::VertexInputAttributeDescription::operator== | ( | VertexInputAttributeDescription const & | rhs | ) | const

inline

Definition at line 9119 of file vulkan.hpp.

{
return ( location == rhs.location )
&& ( binding == rhs.binding )
&& ( format == rhs.format )
&& ( offset == rhs.offset );
}

References binding, format, location, and offset.

Referenced by operator!=().

## setBinding()

VertexInputAttributeDescription& VULKAN_HPP_NAMESPACE::VertexInputAttributeDescription::setBinding | ( | uint32_t | binding_ | ) |

inline

Definition at line 9091 of file vulkan.hpp.

{
binding = binding_;
return *this;
}

References binding.

## setFormat()

VertexInputAttributeDescription& VULKAN_HPP_NAMESPACE::VertexInputAttributeDescription::setFormat | ( | Format | format_ | ) |

inline

Definition at line 9097 of file vulkan.hpp.

{
format = format_;
return *this;
}

## setLocation()

VertexInputAttributeDescription& VULKAN_HPP_NAMESPACE::VertexInputAttributeDescription::setLocation | ( | uint32_t | location_ | ) |

inline

Definition at line 9085 of file vulkan.hpp.

{
location = location_;
return *this;
}

## setOffset()

VertexInputAttributeDescription& VULKAN_HPP_NAMESPACE::VertexInputAttributeDescription::setOffset | ( | uint32_t | offset_ | ) |

inline

Definition at line 9103 of file vulkan.hpp.

{
offset = offset_;
return *this;
}

## Field Documentation

## binding

uint32_t VULKAN_HPP_NAMESPACE::VertexInputAttributeDescription::binding

Definition at line 9133 of file vulkan.hpp.

Referenced by operator==(), and setBinding().

## format

Format VULKAN_HPP_NAMESPACE::VertexInputAttributeDescription::format

Definition at line 9134 of file vulkan.hpp.

Referenced by operator==().

## location

uint32_t VULKAN_HPP_NAMESPACE::VertexInputAttributeDescription::location

Definition at line 9132 of file vulkan.hpp.

Referenced by operator==().

## offset

uint32_t VULKAN_HPP_NAMESPACE::VertexInputAttributeDescription::offset

Definition at line 9135 of file vulkan.hpp.

Referenced by operator==().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VULKAN_HPP_NAMESPACE::VertexInputAttributeDescription::format
Format format
Definition: vulkan.hpp:9134
format
GLint GLint GLsizei GLsizei GLsizei GLint GLenum format
Definition: SDL_opengl.h:1572
offset
GLintptr offset
Definition: SDL_opengl_glext.h:538
VkVertexInputAttributeDescription
Definition: vulkan_core.h:2313
location
GLint location
Definition: SDL_opengl_glext.h:679
VULKAN_HPP_NAMESPACE::VertexInputAttributeDescription::operator==
bool operator==(VertexInputAttributeDescription const &rhs) const
Definition: vulkan.hpp:9119
VULKAN_HPP_NAMESPACE::VertexInputAttributeDescription::VertexInputAttributeDescription
VertexInputAttributeDescription(uint32_t location_=0, uint32_t binding_=0, Format format_=Format::eUndefined, uint32_t offset_=0)
Definition: vulkan.hpp:9064
VULKAN_HPP_NAMESPACE::VertexInputAttributeDescription::binding
uint32_t binding
Definition: vulkan.hpp:9133
VULKAN_HPP_NAMESPACE::VertexInputAttributeDescription::offset
uint32_t offset
Definition: vulkan.hpp:9135
memcpy
#define memcpy
Definition: SDL_malloc.c:630
VULKAN_HPP_NAMESPACE::VertexInputAttributeDescription::location
uint32_t location
Definition: vulkan.hpp:9132